# coding:utf-8
from dspawpy.io.write import write_VESTA

# 读取数据文件（h5或json格式），处理后输出到cube文件
write_VESTA(
    in_filename="dspawpy_proj/dspawpy_tests/inputs/2.2/rho.h5",  # 包含电子体系信息的json或h5文件路径
    data_type="rho",  # 数据类型，支持 "rho", "potential", "elf", "pcharge", "rhoBound"
    out_filename="dspawpy_proj/dspawpy_tests/outputs/us/DS-PAW_rho.cube",  # 输出文件路径
    gridsize=(10, 10, 10),  # 指定插值网格大小
    format="cube",  # 支持cube, vesta和txt格式（xyz格点坐标+数值）
)
